package com.jpsoft.shinestar.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:base_employee_info的实体类
 */
@ApiModel(value = "base_employee_info的实体类")
public class EmployeeInfo {
    @ApiModelProperty(value = "员工编号")
	private Long id;
    @ApiModelProperty(value = "员工姓名")
	private String name;
    @ApiModelProperty(value = "所属公司")
	private String companyId;
    @ApiModelProperty(value = "照片网址")
	private String photo;
    @ApiModelProperty(value = "工牌号")
	private String no;
    @ApiModelProperty(value = "创建人")
	private String createBy;
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
    @ApiModelProperty(value = "更新人")
	private String updateBy;
    @ApiModelProperty(value = "更新时间")
	private Date updateTime;
    @ApiModelProperty(value = "是否删除")
	private Boolean delFlag;
    @ApiModelProperty(value = "序号")
	private Integer sortNo;
	@ApiModelProperty(value = "openId")
	private String openId;
	@ApiModelProperty(value = "companyName")
	private String companyName;
	@ApiModelProperty(value = "exportStatus")
	private Boolean exportStatus;
	@ApiModelProperty(value = "phone")
	private String phone;

	/**
	 *获取员工编号
	 */
    	public Long getId(){
		return id;
	}
	
	/**
	 *设置员工编号
	 */
	public void setId(Long id){
		this.id = id;
	}
	/**
	 *获取员工姓名
	 */
    	public String getName(){
		return name;
	}
	
	/**
	 *设置员工姓名
	 */
	public void setName(String name){
		this.name = name;
	}
	/**
	 *获取所属公司
	 */
    	public String getCompanyId(){
		return companyId;
	}
	
	/**
	 *设置所属公司
	 */
	public void setCompanyId(String companyId){
		this.companyId = companyId;
	}
	/**
	 *获取照片网址
	 */
    	public String getPhoto(){
		return photo;
	}
	
	/**
	 *设置照片网址
	 */
	public void setPhoto(String photo){
		this.photo = photo;
	}
	/**
	 *获取工牌号
	 */
    	public String getNo(){
		return no;
	}
	
	/**
	 *设置工牌号
	 */
	public void setNo(String no){
		this.no = no;
	}
	/**
	 *获取创建人
	 */
    	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
	/**
	 *获取创建时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
	/**
	 *获取更新人
	 */
    	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
	/**
	 *获取更新时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
	/**
	 *获取是否删除
	 */
    	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
	/**
	 *获取序号
	 */
    	public Integer getSortNo(){
		return sortNo;
	}
	
	/**
	 *设置序号
	 */
	public void setSortNo(Integer sortNo){
		this.sortNo = sortNo;
	}

	public String getOpenId() {
		return openId;
	}

	public void setOpenId(String openId) {
		this.openId = openId;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public Boolean getExportStatus() {
		return exportStatus;
	}

	public void setExportStatus(Boolean exportStatus) {
		this.exportStatus = exportStatus;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}
}